#!/usr/bin/env python
#
# This file is part of Learning Elements
# Author(s): Giselle Flores and Cecilia Prieto, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Learning Elements is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Learning Elements is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Learning Elements.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 600
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("chemistry5.jpg")


# Set up the activity generator
activities = Activities(background)

start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font("data/fonts/Breip.ttf", 100)
	text = font.render("LEARN THE", 1, (255,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 100)
	text = font.render("ELEMENTS!!!", 1, (255,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-10
	screen.blit(text, textrect)
	
	
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 50)
	text = font.render("Press any key to start the game.", 1, (255,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+100
	screen.blit(text, textrect)
	
	pygame.display.flip() # make 
# Main game play
activities.decision1()
activities.decision2()
activities.decision3()
activities.decision4()
activities.decision5()
activities.decision6()
activities.decision7()
activities.decision8()
activities.decision9()
activities.decision10()
activities.decision11()
activities.decision12()
activities.decision13()
activities.decision14()
activities.decision15()
activities.decision16()
activities.decision17()
activities.decision18()

while True:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	
	# Draw the game over message
	font = pygame.font.Font("data/fonts/Breip.ttf", 50)
	text = font.render("GAME OVER!", 1, (255,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/3
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 50)
	text = font.render("THANKS FOR PLAYING", 1, (255,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	# Draw the scoreboard
	font = pygame.font.Font("data/fonts/Breip.ttf", 100)
	text = font.render("Score: " + str(activities.score), 1, (255,0,0))
	textrect = text.get_rect()
	textrect.left, textrect.top = 0,0
	screen.blit(text, textrect)

	
	font = pygame.font.Font("data/fonts/Breip.ttf", 50)
	text = font.render("LEARN THE ELEMENTS!!!", 1, (255,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/1.6
	screen.blit(text, textrect)
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
